# Makefile.in generated by automake 1.9.6 from Makefile.am.
# examples/resize/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



#*********************************************************************#
#                                                                     #
#                          Caml Images                                #
#                                                                     #
#            François Pessaux, projet Cristal, INRIA Rocquencourt     #
#            Pierre Weis, projet Cristal, INRIA Rocquencourt          #
#            Jun Furuse, projet Cristal, INRIA Rocquencourt           #
#                                                                     #
#  Copyright 1999-2004,                                               #
#  Institut National de Recherche en Informatique et en Automatique.  #
#  Distributed only by permission.                                    #
#                                                                     #
#*********************************************************************#

#(* $Id: Makefile.am,v 1.7 2008/02/17 23:24:16 furuse Exp $ *)

#*********************************************************************#
#                                                                     #
#                          Caml Images                                #
#                                                                     #
#            François Pessaux, projet Cristal, INRIA Rocquencourt     #
#            Pierre Weis, projet Cristal, INRIA Rocquencourt          #
#            Jun Furuse, projet Cristal, INRIA Rocquencourt           #
#                                                                     #
#  Copyright 1999-2004,                                               #
#  Institut National de Recherche en Informatique et en Automatique.  #
#  Distributed only by permission.                                    #
#                                                                     #
#*********************************************************************#

#(* $Id: Makefile.variables,v 1.9 2008/02/17 23:24:15 furuse Exp $ *)

#*********************************************************************#
#                                                                     #
#                          Caml Images                                #
#                                                                     #
#            François Pessaux, projet Cristal, INRIA Rocquencourt     #
#            Pierre Weis, projet Cristal, INRIA Rocquencourt          #
#            Jun Furuse, projet Cristal, INRIA Rocquencourt           #
#                                                                     #
#  Copyright 1999-2004,                                               #
#  Institut National de Recherche en Informatique et en Automatique.  #
#  Distributed only by permission.                                    #
#                                                                     #
#*********************************************************************#

#(* $Id: Makefile.rules,v 1.22 2007/02/08 07:52:20 rousse Exp $ *)

srcdir = .
top_srcdir = ../..

pkgdatadir = $(datadir)/camlimages
pkglibdir = $(libdir)/camlimages
pkgincludedir = $(includedir)/camlimages
top_builddir = ../..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c -o root -g bin
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
noinst_PROGRAMS = $(am__EXEEXT_1) $(am__EXEEXT_2)
am__append_1 = resize.opt
am__append_2 = resize.byt
DIST_COMMON = README $(srcdir)/../../Makefile.rules \
	$(srcdir)/../../Makefile.variables $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in
am__append_3 = -I $(LABLGTK2DIR)
am__append_4 = lablgtk.cma
#am__append_5 = -I $(LABLGTKDIR)
#am__append_6 = lablgtk.cma
subdir = examples/resize
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps =  \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
am__EXEEXT_1 = resize.opt$(EXEEXT)
am__EXEEXT_2 = resize.byt$(EXEEXT)
PROGRAMS = $(noinst_PROGRAMS)
am__objects_1 =
am_resize_byt_OBJECTS = $(am__objects_1)
resize_byt_OBJECTS = $(am_resize_byt_OBJECTS)
resize_byt_LDADD = $(LDADD)
am_resize_opt_OBJECTS = $(am__objects_1)
resize_opt_OBJECTS = $(am_resize_opt_OBJECTS)
resize_opt_LDADD = $(LDADD)
DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(resize_byt_SOURCES) $(resize_opt_SOURCES)
DIST_SOURCES = $(resize_byt_SOURCES) $(resize_opt_SOURCES)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /usr/obj/camlimages-3.0.2/camlimages-3.0.2/missing --run aclocal-1.9
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = /usr/bin/tar
AUTOCONF = ${SHELL} /usr/obj/camlimages-3.0.2/camlimages-3.0.2/missing --run autoconf
AUTOHEADER = ${SHELL} /usr/obj/camlimages-3.0.2/camlimages-3.0.2/missing --run autoheader
AUTOMAKE = ${SHELL} /usr/obj/camlimages-3.0.2/camlimages-3.0.2/missing --run automake-1.9
AWK = awk
BUILD_BYTECODE_FALSE = #
BUILD_BYTECODE_TRUE = 
BUILD_NATIVE_FALSE = #
BUILD_NATIVE_TRUE = 
CC = cc
CCDEPMODE = depmode=none
CFLAGS = -O2 -pipe
CPP = cc -E
CPPFLAGS = -I/usr/local/include -I/usr/local/include/libpng
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/egrep
EXEEXT = 
FREETYPE_CONFIG = /usr/X11R6/bin/freetype-config
GREP = /usr/bin/grep
GS = /usr/local/bin/gs
HAVE_FREETYPE_FALSE = #
HAVE_FREETYPE_TRUE = 
HAVE_GIF_FALSE = #
HAVE_GIF_TRUE = 
HAVE_JPEG_FALSE = #
HAVE_JPEG_TRUE = 
HAVE_LABLGTK2_FALSE = #
HAVE_LABLGTK2_TRUE = 
HAVE_LABLGTK_FALSE = 
HAVE_LABLGTK_TRUE = #
HAVE_PNG_FALSE = #
HAVE_PNG_TRUE = 
HAVE_PS_FALSE = #
HAVE_PS_TRUE = 
HAVE_TIFF_FALSE = #
HAVE_TIFF_TRUE = 
HAVE_XPM_FALSE = #
HAVE_XPM_TRUE = 
INCFREETYPE = -I/usr/X11R6/include/freetype2 -I/usr/X11R6/include
INCXPM =  -I/usr/X11R6/include
INSTALL_DATA = install -c -o root -g bin -m 444
INSTALL_PROGRAM = install -c -s -o root -g bin -m 555
INSTALL_SCRIPT = install -c -o root -g bin -m 555
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LABLGTK2DIR = /usr/local/lib/ocaml/lablgtk2
LABLGTKDIR = 
LDFLAGS = -L/usr/local/lib
LIBFREETYPE = -L/usr/X11R6/lib -lfreetype -lz
LIBGIF = -lgif
LIBJPEG = -ljpeg
LIBOBJS = 
LIBPNG = -lpng -lz -lm
LIBS = 
LIBTIFF = -ltiff -lz -ljpeg
LIBXPM =  -L/usr/X11R6/lib -R/usr/X11R6/lib -lXpm  -lSM -lICE -lX11 
LTLIBOBJS = 
MAKEINFO = ${SHELL} /usr/obj/camlimages-3.0.2/camlimages-3.0.2/missing --run makeinfo
OBJEXT = o
OCAMLC = /usr/local/bin/ocamlc.opt
OCAMLCFLAGS = 
OCAMLC_OPT = /usr/local/bin/ocamlc.opt
OCAMLDEP = /usr/local/bin/ocamldep.opt
OCAMLDEP_OPT = /usr/local/bin/ocamldep.opt
OCAMLLIB = /usr/local/lib/ocaml
OCAMLMKLIB = /usr/local/bin/ocamlmklib
OCAMLMKLIB_OPT = 
OCAMLOPT = /usr/local/bin/ocamlopt.opt
OCAMLOPT_OPT = /usr/local/bin/ocamlopt.opt
OCAMLSITELIBDIR = /usr/local/lib/ocaml/site-lib/camlimages
PACKAGE = camlimages
PACKAGE_BUGREPORT = jun.furuse@gmail.com
PACKAGE_NAME = camlimages
PACKAGE_STRING = camlimages 3.0.2
PACKAGE_TARNAME = camlimages
PACKAGE_VERSION = 3.0.2
PATH_OCAMLFIND = /usr/local/bin/ocamlfind
PATH_RGB_TXT = none
PATH_SEPARATOR = :
REQUIRES = camlimages.lablgtk2 graphics
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
SUPPORT_FREETYPE = true
SUPPORT_GIF = true
SUPPORT_JPEG = true
SUPPORT_PNG = true
SUPPORT_PS = true
SUPPORT_TIFF = true
SUPPORT_XPM = true
VERSION = 3.0.2
WORD_SIZE = 4
XMKMF = 
X_CFLAGS =  -I/usr/X11R6/include
X_EXTRA_LIBS = 
X_LIBS =  -L/usr/X11R6/lib -R/usr/X11R6/lib
X_PRE_LIBS =  -lSM -lICE
ac_ct_CC = cc
am__fastdepCC_FALSE = 
am__fastdepCC_TRUE = #
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build_alias = 
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host_alias = 
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = /usr/local/info
install_sh = /usr/obj/camlimages-3.0.2/camlimages-3.0.2/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = /var
mandir = /usr/local/man
mkdir_p = $(install_sh) -d
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = /etc
target_alias = 
OCAMLSOURCES = resize.ml
resize_opt_SOURCES = $(OCAMLSOURCES)
resize_byt_SOURCES = $(OCAMLSOURCES)
OCAMLBYTOBJS = $(OCAMLBUILTSOURCES:.ml=.cmo) $(OCAMLSOURCES:.ml=.cmo)
OCAMLOPTOBJS = $(OCAMLBUILTSOURCES:.ml=.cmx) $(OCAMLSOURCES:.ml=.cmx)
COBJS = $(CSOURCES:.c=.o)

# flags needed to build examples
CAMLIMAGES_INCLUDES = -I $(top_builddir)/src $(am__append_3) \
	$(am__append_5)
CAMLIMAGES_LIBS = $(am__append_4) $(am__append_6) graphics.cma \
	camlimages.cma
CAMLIMAGES_LIBS_CORE = camlimages_core.cma
DLLPATHS = -dllpath $(top_srcdir)/src
AM_OCAMLCFLAGS = $(CAMLIMAGES_INCLUDES)
AM_LINKFLAGS = $(CAMLIMAGES_INCLUDES)
OCAMLLIBS = $(CAMLIMAGES_LIBS) $(OTHER_LIBS)
OCAMLLIBS_CORE = $(CAMLIMAGES_LIBS_CORE) $(OTHER_LIBS)
CLEANFILES = $(OCAMLBYTOBJS) \
	     $(OCAMLOPTOBJS) \
	     $(OCAMLOPTOBJS:.cmx=.o) \
	     $(OCAMLSOURCES:.ml=.cmi) \
	     $(COBJS) \
	     .depend

SUFFIXES = .ml .mli .cmo .cmi .cmx .c .o
all: all-am

.SUFFIXES:
.SUFFIXES: .ml .mli .cmo .cmi .cmx .c .o
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(srcdir)/../../Makefile.variables $(srcdir)/../../Makefile.rules $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  examples/resize/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  examples/resize/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

clean-noinstPROGRAMS:
	-test -z "$(noinst_PROGRAMS)" || rm -f $(noinst_PROGRAMS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c
uninstall-info-am:
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	$(mkdir_p) $(distdir)/../..
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkdir_p) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(PROGRAMS)
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-noinstPROGRAMS mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic

dvi: dvi-am

dvi-am:

html: html-am

info: info-am

info-am:

install-data-am:

install-exec-am:

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-info-am

.PHONY: all all-am check check-am clean clean-generic \
	clean-noinstPROGRAMS distclean distclean-compile \
	distclean-generic distdir dvi dvi-am html html-am info info-am \
	install install-am install-data install-data-am install-exec \
	install-exec-am install-info install-info-am install-man \
	install-strip installcheck installcheck-am installdirs \
	maintainer-clean maintainer-clean-generic mostlyclean \
	mostlyclean-compile mostlyclean-generic pdf pdf-am ps ps-am \
	uninstall uninstall-am uninstall-info-am


resize.byt$(EXEEXT): $(OCAMLBYTOBJS)
	$(OCAMLC) -o resize.byt$(EXEEXT) \
		$(DLLPATHS) $(LINKFLAGS) $(AM_LINKFLAGS) \
		$(OCAMLLIBS_CORE) $(OCAMLBYTOBJS)

resize.opt$(EXEEXT): $(OCAMLOPTOBJS)
	$(OCAMLOPT) -o resize.opt$(EXEEXT) \
		$(LINKFLAGS) $(AM_LINKFLAGS) \
		$(OCAMLLIBS_CORE:.cma=.cmxa) $(OCAMLOPTOBJS)

.ml.cmo:
	$(OCAMLC) $(OCAMLCFLAGS) $(AM_OCAMLCFLAGS) -o $@ -c $<

.mli.cmi:
	$(OCAMLC) $(OCAMLCFLAGS) $(AM_OCAMLCFLAGS) -o $@ -c $<

.ml.cmx:
	$(OCAMLOPT) $(OCAMLCFLAGS) $(AM_OCAMLCFLAGS) -o $@ -c $<

.c.o: $(top_srcdir)/config.h
	$(OCAMLC) -ccopt "-o $@ $(CFLAGS) $(AM_CFLAGS)" -c $< 

# moving to $(srcdir) is needed in case of VPATH build
.depend: $(OCAMLSOURCES) $(OCAMLINTERFACES) $(top_srcdir)/config.status
	(cd $(srcdir) && $(OCAMLDEP) $(OCAMLSOURCES) $(OCAMLINTERFACES)) > .depend 

# ugly stuff for make time include
include .depend
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
